.product-overlay-slider {
    padding-top: var(--padding-top);
    padding-bottom: var(--padding-bottom);
}

.product-overlay-bg-img img {
    display: block;
    width: 100%;
    height: 100%;
    max-width: 100%;
    object-fit: cover;
}

.product-overlay-bg-img .mobile-only {
    display: none;
}

.product-overlay-slides-content {
    position: absolute;
    top: 0;
    width: 100%;
    margin: 0 auto;
    left: 0;
    right: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-top: 40px;
    padding-bottom: 40px;
    transform: translateY(50%);
    opacity: 0;
    transition: all 0.8s;
}

.is-animated .product-overlay-slides-content {
    transform: translateY(0);
    opacity: 1;
}

h3.content--heading {
    color: var(--color);
    font-size: 40px;
    font-family: 'GT America Bold';
    margin-bottom: 16px;
    line-height: 1.2;
    max-width: 663px;
}

.content--content-part {
    color: var(--color);
    font-size: 20px;
    text-transform: capitalize;
    line-height: 1.6;
}

a.product-content-btn {
    background: var(--bg-color);
    width: fit-content;
    padding: 13px;
    line-height: 1.2;
    font-size: 20px;
    min-width: 186px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--btn-color);
    margin-top: 26px;
    border: 1px solid var(--bg-color);
    transition: all 0.5s;
}

a.product-content-btn:hover {
    color: var(--bg-color);
    background: transparent;
}

.prod-overlay-image img {
    max-width: 102px;
    height: 121px;
    display: block;
    width: 100%;
    object-fit: cover;
}

.overlay-listed-custom-ttl {
    font-family: 'GT America-Regular';
    font-weight: 400;
    font-size: 22px;
    color: var(--color);
    text-transform: capitalize;
    line-height: 1.2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}

.overlay-listed-custom-price span {
    color: var(--color);
    font-family: 'GT America Bold';
    font-size: 18px;
}

.prod-overlay-image {
    flex: 0 0 102px;
    max-width: 102px;
}

.overlay-product-list-inner {
    display: flex;
    gap: 20px;
    padding: 11px 18px;
    background: rgba(255, 255, 255, 0.19);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    border: 1px solid transparent;
    transition: all 0.4s;
}

.overlay-product-list-inner:hover {
    transform: translateY(-10px);
    border-color: #fff;
}

.product-slider-wrapper {
    padding: 10px 0 0 0;
}

.overlay-listed-content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 10px 0;
}

.product-overlay-product-slider {
    max-width: 85%;
    position: relative;
}

.product-button-next,
.product-button-prev {
    position: absolute;
    top: 50%;
    z-index: 1;
    transform: translateY(-50%);
    right: -60px;
    cursor: pointer;
    width: 38px;
    height: 42px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
}

.swiper-button-lock {
    display: none;
}

.product-button-prev {
    left: -60px;
    right: auto;
}

.overlay-slides-items-custom .swiper-pagination-items {
    display: flex;
    gap: 8px;
    position: absolute;
    top: 80px;
    z-index: 1;
    width: 100%;
    left: 0;
    right: 0;
    margin: 0 auto;
    height: fit-content;
    align-items: end;
}

.overlay-slides-items-custom .swiper-pagination-bullet {
    width: 33%;
    height: 2px;
    background: rgb(255 255 255 / 47%);
    opacity: 1;
    position: relative;
    border-radius: 0;
    margin: 0 16px !important;
    display: flex;
    flex-direction: column-reverse;
}

.overlay-slides-items-custom .swiper-pagination-bullet .progress {
    position: absolute;
    left: 0;
    top: -5px;
    min-height: 6px;
    height: 100%;
    width: 0%;
    background: #fff;
}

.overlay-slides-items-custom .swiper-pagination-bullet-active .progress {
    animation: progressFill 5s linear forwards;
}

.overlay-slides-items-custom .swiper-pagination-bullet em {
    font-style: normal;
    font-size: 20px;
    color: #FFFFFF;
    margin-bottom: 14px;
    width: 100%;
    display: block;
    text-align: center;
}

@keyframes progressFill {
    from {
        width: 0%;
    }

    to {
        width: 100%;
    }
}

@media(max-width: 1560px) {
    .product-button-prev {
        left: 0;
    }

    .product-button-next {
        right: 0;
    }
}

@media(max-width: 1360px) {
    .product-overlay-slides-content {
        padding-bottom: 65px;
    }

    .overlay-slides-items-custom .swiper-pagination-bullet .progress {
        top: -2px;
        min-height: 3px;
    }

    .overlay-slides-items-custom .swiper-pagination-bullet em {
        font-size: 16px;
        margin-bottom: 7px;
    }

    .content--content-part,
    .overlay-listed-custom-price span {
        font-size: 15px;
    }

    h3.content--heading {
        font-size: 28px;
        margin-bottom: 10px;
    }

    .prod-overlay-image img {
        max-width: 83px;
        height: 83px;
    }

    .prod-overlay-image {
        flex: 0 0 83px;
        max-width: 83px;
    }

    .overlay-listed-custom-ttl {
        font-size: 17px;
    }

    a.product-content-btn {
        font-size: 16px;
        min-width: 156px;
        margin-top: 16px;
    }

    .overlay-slides-items-custom .swiper-pagination-items {
        top: 60px;
    }

    .product-button-prev {
        left: 48%;
        transform: translateX(-100%);
        top: auto;
    }

    .product-button-next {
        right: 48%;
        transform: translateX(100%);
        top: auto;
    }

    .product--slider-main {
        margin-bottom: 15px;
    }
}

@media(max-width: 1024px) {
    .product-overlay-bg-img img {
        aspect-ratio: 4/3;
    }

    .product-overlay-product-slider {
        max-width: 100%;
    }

    .overlay-slides-items-custom .swiper-pagination-bullet em {
        line-height: 1.2;
    }

    .product-button-next,
    .product-button-prev {
        width: 35px;
        height: 35px;
    }
}

@media(max-width: 769px) {
    .product-overlay-bg-img .desktop-only {
        display: none;
    }

    .product-overlay-bg-img .mobile-only {
        display: block;
    }

    .product-overlay-bg-img img {
        aspect-ratio: 1 / 1;
    }

    .main-feature-image-slider {
        padding: 0 0 50px 0;
    }

    .overlay-slides-items-custom .swiper-pagination-items {
        bottom: 0;
        top: auto;
    }

    .overlay-slides-items-custom .swiper-pagination-bullet em {
        font-size: 13px;
        color: black;
    }

    .overlay-slides-items-custom .swiper-pagination-bullet .progress {
        background: #000;
    }

    .overlay-slides-items-custom .swiper-pagination-bullet {
        background: rgb(0 0 0 / 47%);
    }

    a.product-content-btn {
        font-size: 15px;
        min-width: 136px;
        margin-top: 16px;
        padding: 10px;
    }
}

@media(max-width: 575px) {
    .product-overlay-bg-img img {
        aspect-ratio: 4/6;
    }

    h3.content--heading {
        font-size: 28px;
    }

    .content--content-part br {
        display: none;
    }

    .overlay-listed-content {
        padding: 0;
    }

    .overlay-slides-items-custom .swiper-pagination-bullet em {
        font-size: 12px;
    }

    .overlay-product-list-inner {
        gap: 10px;
    }
}